//******************************************************************************
//*   Copyright (C) 2015 K. Vasudevan. Indian Institute of Technology Kanpur.
//*   All Rights Reserved.
//******************************************************************************
// Get the channel.
// Code tested on SCILAB ver 5.5.2.
//******************************************************************************
function[Chan]=Get_Channel(chan_len,fade_mean,fade_std)
 Re_Chan=zeros(1,chan_len);          // Initialize re. channel impulse response.
 Im_Chan=zeros(1,chan_len);          // Initialize im. channel impulse response.
 Re_Chan=grand(Re_Chan,'nor',fade_mean,fade_std);                // Re. channel.
 Im_Chan=grand(Im_Chan,'nor',fade_mean,fade_std);                // Im. channel.
 Chan=Re_Chan+%i*Im_Chan;                                    // Complex channel.
endfunction
