//******************************************************************************
//*   Copyright (C) 2011 K. Vasudevan. Indian Institute of Technology Kanpur.
//*   All Rights Reserved.
//******************************************************************************
// Normalize alpha beta values.
// Code tested on SCILAB ver 5.3.2.
//******************************************************************************
function[my_alpha,my_beta]=Normalize_Alpha_Beta(my_alpha,my_beta,time)
//******************************************************************************
// suma=0.0;
// sumb=0.0;
// for state=1:NUM_STATES
//  suma=suma+my_alpha(state,time+1);
//  sumb=sumb+my_beta(state,OFDM_SIZE+1-time);
// end
// for state=1:NUM_STATES
//  my_alpha(state,time+1)=my_alpha(state,time+1)/suma;
//  my_beta(state,OFDM_SIZE+1-time)=my_beta(state,OFDM_SIZE+1-time)/sumb;
// end
//******************************************************************************
 suma=sum(my_alpha(:,time+1));
 sumb=sum(my_beta(:,OFDM_SIZE+1-time));
 my_alpha(:,time+1)=my_alpha(:,time+1)/suma;
 my_beta(:,OFDM_SIZE+1-time)=my_beta(:,OFDM_SIZE+1-time)/sumb;
endfunction
